// X axis leveling for Zonestar MK8R2 3D printer and Prusa i3 clones
// More on:
// http://homofaciens.de/technics-machines-3D-printer-Zonestar-MK8R2_en.htm

levelling_bar = 8.4;
levelling_h = 70+levelling_bar*1.5;
levelling_wall = 4;
levelling_w = 20;


$fn = 100;

difference(){
  translate([-levelling_h/2, 0, levelling_wall*1.5]){
    cube(size=[levelling_h, levelling_bar + 2 * levelling_wall, 2 * levelling_wall*1.5], center=true);
  }  
  cylinder(d=levelling_bar, h=levelling_w*5, center=true);
  translate([-levelling_h+levelling_bar/2-0.1, 0, levelling_wall*2+0.1]){
    cube(size=[levelling_bar, levelling_h, levelling_bar], center=true);
  }  
}

translate([0, 0, levelling_w/2]){
  difference(){
    cylinder(d=levelling_bar + 2 * levelling_wall, h=levelling_w, center=true);
    cylinder(d=levelling_bar, h=levelling_w*1.1, center=true);
    translate([(levelling_bar + 2 * levelling_wall)/2, 0, 0]){
      cube(size=[levelling_bar + 2 * levelling_wall, levelling_bar + 2 * levelling_wall, levelling_w*1.1], center=true);
    }
  }
}